Index: samples/embedded/embedded.cpp
===================================================================
--- samples/embedded/embedded.cpp	(revision 74653)
+++ samples/embedded/embedded.cpp	(working copy)
@@ -32,7 +32,7 @@
 #endif
 
 // Import Python and wxPython headers
-#include <wx/wxPython/wxPython.h>
+#include <wx/wxPython/wxpy_api.h>
 
 
 //----------------------------------------------------------------------
@@ -89,7 +89,7 @@
     // Load the wxPython core API.  Imports the wx._core_ module and sets a
     // local pointer to a function table located there.  The pointer is used
     // internally by the rest of the API functions.
-    if ( ! wxPyCoreAPI_IMPORT() ) {
+    if ( wxPyGetAPIPtr()==NULL ) {
         wxLogError(wxT("***** Error importing the wxPython API! *****"));
         PyErr_Print();
         Py_Finalize();
@@ -271,7 +271,7 @@
     // Now build an argument tuple and call the Python function.  Notice the
     // use of another wxPython API to take a wxWindows object and build a
     // wxPython object that wraps it.
-    PyObject* arg = wxPyMake_wxObject(parent, false);
+    PyObject* arg = wxPyConstructObject((void*)parent, wxT("wxWindow"), false);
     wxASSERT(arg != NULL);
     PyObject* tuple = PyTuple_New(1);
     PyTuple_SET_ITEM(tuple, 0, arg);
@@ -283,7 +283,7 @@
     else {
         // Otherwise, get the returned window out of Python-land and
         // into C++-ville...
-        bool success = wxPyConvertSwigPtr(result, (void**)&window, _T("wxWindow"));
+        bool success = wxPyConvertWrappedPtr(result, (void**)&window, _T("wxWindow"));
         wxASSERT_MSG(success, _T("Returned object was not a wxWindow!"));
         Py_DECREF(result);
     }
